﻿# Scout plugin for Deathrun Mod v 1.9
# Visit our DeathRun Server 195.211.101.189:27016
# Visit our site www.tk-portal.ru

import es, playerlib, langlib

deathrun_scoutlimit = es.ServerVar("deathrun_scoutlimit")
deathrun_giveammo = es.ServerVar("deathrun_giveammo")
deathrun_scoutsforplayer = es.ServerVar("deathrun_scoutsforplayer") 

data = {}

text = langlib.Strings("cstrike/addons/eventscripts/deathrun/language/givescout.ini")

def load():
    es.server.cmd("es_xmexec ../addons/eventscripts/deathrun/deathrun.cfg")
    global data
    global scout
    data.clear()
    scout = 0
    if not es.exists('clientcommand', '!scout'):
	es.regclientcmd('!scout', 'deathrun/givescout/scout', 'givescout')
    if not es.exists('saycommand', '!scout'):
        es.regsaycmd('!scout', 'deathrun/givescout/scout')
    for userid in es.getUseridList():
        data[es.getplayersteamid(userid)] = {}
        data[es.getplayersteamid(userid)]['scout'] = 0

def unload():
    es.unregclientcmd('!scout')
    es.unregsaycmd('!scout')

def round_start(ev):
    es.server.queuecmd("es_xmexec ../addons/eventscripts/deathrun/deathrun.cfg")
    global scout
    scout = 0
    for cter in playerlib.getPlayerList('#ct,#alive'):
        tokens = {}
        tokens['scoutlimit'] = deathrun_scoutlimit 
        es.tell(cter, "#multi", text("advertscout", tokens, cter.get("lang")))
        es.tell(cter, "#multi", text("advertscout1", tokens, cter.get("lang")))
    
def scout():
    global scout
    global data
    userid = es.getcmduserid()
    steam = es.getplayersteamid(userid)   
    tokens = {}    
    if not es.getplayerprop(userid, 'CBasePlayer.pl.deadflag') and data.has_key(steam):
        if es.getplayerteam(userid) == 3:            
            if data[steam]['scout'] < deathrun_scoutsforplayer:     
                if scout < deathrun_scoutlimit:
                    if playerlib.getPlayer(userid).get("primary") == "0":                          
                        es.tell(userid, "#multi", text("givescout", tokens, playerlib.getPlayer(userid).get("lang")))
                        es.server.queuecmd('es_xgive %s weapon_scout'%userid)
                        if int(deathrun_giveammo) == 0: 
                            es.server.queuecmd('playerset clip %s weapon_scout 0'%userid)
                            es.server.queuecmd('playerset ammo %s weapon_scout 0'%userid)
                        scout += 1
                        data[steam]['scout'] += 1
                else:
                    tokens['scoutlimit'] =  deathrun_scoutlimit 
                    es.tell(userid, "#multi", text("scoutlimit", tokens, playerlib.getPlayer(userid).get("lang")))
            else:
                tokens['scoutsforplayer'] = deathrun_scoutsforplayer
                es.tell(userid, "#multi", text("scoutforplayer", tokens,  playerlib.getPlayer(userid).get("lang")))
        else:
            es.tell(userid, "#multi", text("scoutnot", tokens, playerlib.getPlayer(userid).get("lang")))

def player_team(event_var):
    global data
    userid = int(event_var['userid'])
    steamid = es.getplayersteamid(userid) 
    if not data.has_key(steamid):
        data[steamid] = {}
        data[steamid]['scout'] = 0

def round_end(event_var):
    global data
    steamid = event_var['networkid']
    if data.has_key(steamid):
        data[steamid]['scout'] = 0

def player_spawn(event_var):
    global data
    steamid = event_var['es_steamid']
    if data.has_key(steamid):
        data[steamid]['scout'] = 0

def es_map_start(event_var): 
    es.server.cmd("es_xmexec ../addons/eventscripts/deathrun/deathrun.cfg")
    global data
    data.clear()